Subject: Re: [PATCH v2 1/3] SubmittingPatches: move discussion of Signed-off-by above "send"

From: Đoàn Trần Công Danh <[email-masked]>
Date: Mon, 7 Jun 2021 22:58:12 +0700

On 2021-06-07 13:03:41+0200, Ævar Arnfjörð Bjarmason <[email-masked]> wrote:
> Move the section discussing the addition of a SOB trailer above the
> section that discusses generating the patch itself. This makes sense
> as we don't want someone to go through the process of "git
> format-patch", only to realize late that they should have used "git
> commit -s" or equivalent.
> 
> This is a move-only change, no lines here are are being altered, only

Nitpick: s/are are/are/;

Otherwise, the move makes sense to me.

> moved around.
> 
> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
> ---
>  Documentation/SubmittingPatches | 160 ++++++++++++++++----------------
>  1 file changed, 80 insertions(+), 80 deletions(-)
> 
> diff --git a/Documentation/SubmittingPatches b/Documentation/SubmittingPatches
> index 55287d72e0..2643062624 100644
> --- a/Documentation/SubmittingPatches
> +++ b/Documentation/SubmittingPatches
> @@ -167,6 +167,86 @@ or, on an older version of Git without support for --pretty=reference:
>  	git show -s --date=short --pretty='format:%h (%s, %ad)' <commit>
>  ....
>  
> +[[sign-off]]
> +=== Certify your work by adding your `Signed-off-by` trailer
> +
> +To improve tracking of who did what, we ask you to certify that you
> +wrote the patch or have the right to pass it on under the same license
> +as ours, by "signing off" your patch.  Without sign-off, we cannot
> +accept your patches.
> +
> +If (and only if) you certify the below D-C-O:
> +
> +[[dco]]
> +.Developer's Certificate of Origin 1.1
> +____
> +By making a contribution to this project, I certify that:
> +
> +a. The contribution was created in whole or in part by me and I
> +   have the right to submit it under the open source license
> +   indicated in the file; or
> +
> +b. The contribution is based upon previous work that, to the best
> +   of my knowledge, is covered under an appropriate open source
> +   license and I have the right under that license to submit that
> +   work with modifications, whether created in whole or in part
> +   by me, under the same open source license (unless I am
> +   permitted to submit under a different license), as indicated
> +   in the file; or
> +
> +c. The contribution was provided directly to me by some other
> +   person who certified (a), (b) or (c) and I have not modified
> +   it.
> +
> +d. I understand and agree that this project and the contribution
> +   are public and that a record of the contribution (including all
> +   personal information I submit with it, including my sign-off) is
> +   maintained indefinitely and may be redistributed consistent with
> +   this project or the open source license(s) involved.
> +____
> +
> +you add a "Signed-off-by" trailer to your commit, that looks like
> +this:
> +
> +....
> +	Signed-off-by: Random J Developer <[email-masked]>
> +....
> +
> +This line can be added by Git if you run the git-commit command with
> +the -s option.
> +
> +Notice that you can place your own `Signed-off-by` trailer when
> +forwarding somebody else's patch with the above rules for
> +D-C-O.  Indeed you are encouraged to do so.  Do not forget to
> +place an in-body "From: " line at the beginning to properly attribute
> +the change to its true author (see (2) above).
> +
> +This procedure originally came from the Linux kernel project, so our
> +rule is quite similar to theirs, but what exactly it means to sign-off
> +your patch differs from project to project, so it may be different
> +from that of the project you are accustomed to.
> +
> +[[real-name]]
> +Also notice that a real name is used in the `Signed-off-by` trailer. Please
> +don't hide your real name.
> +
> +[[commit-trailers]]
> +If you like, you can put extra tags at the end:
> +
> +. `Reported-by:` is used to credit someone who found the bug that
> +  the patch attempts to fix.
> +. `Acked-by:` says that the person who is more familiar with the area
> +  the patch attempts to modify liked the patch.
> +. `Reviewed-by:`, unlike the other tags, can only be offered by the
> +  reviewer and means that she is completely satisfied that the patch
> +  is ready for application.  It is usually offered only after a
> +  detailed review.
> +. `Tested-by:` is used to indicate that the person applied the patch
> +  and found it to have the desired effect.
> +
> +You can also create your own tag or use one that's in common usage
> +such as "Thanks-to:", "Based-on-patch-by:", or "Mentored-by:".
> +
>  [[git-tools]]
>  === Generate your patch using Git tools out of your commits.
>  
> @@ -302,86 +382,6 @@ Do not forget to add trailers such as `Acked-by:`, `Reviewed-by:` and
>  `Tested-by:` lines as necessary to credit people who helped your
>  patch, and "cc:" them when sending such a final version for inclusion.
>  
> -[[sign-off]]
> -=== Certify your work by adding your `Signed-off-by` trailer
> -
> -To improve tracking of who did what, we ask you to certify that you
> -wrote the patch or have the right to pass it on under the same license
> -as ours, by "signing off" your patch.  Without sign-off, we cannot
> -accept your patches.
> -
> -If (and only if) you certify the below D-C-O:
> -
> -[[dco]]
> -.Developer's Certificate of Origin 1.1
> -____
> -By making a contribution to this project, I certify that:
> -
> -a. The contribution was created in whole or in part by me and I
> -   have the right to submit it under the open source license
> -   indicated in the file; or
> -
> -b. The contribution is based upon previous work that, to the best
> -   of my knowledge, is covered under an appropriate open source
> -   license and I have the right under that license to submit that
> -   work with modifications, whether created in whole or in part
> -   by me, under the same open source license (unless I am
> -   permitted to submit under a different license), as indicated
> -   in the file; or
> -
> -c. The contribution was provided directly to me by some other
> -   person who certified (a), (b) or (c) and I have not modified
> -   it.
> -
> -d. I understand and agree that this project and the contribution
> -   are public and that a record of the contribution (including all
> -   personal information I submit with it, including my sign-off) is
> -   maintained indefinitely and may be redistributed consistent with
> -   this project or the open source license(s) involved.
> -____
> -
> -you add a "Signed-off-by" trailer to your commit, that looks like
> -this:
> -
> -....
> -	Signed-off-by: Random J Developer <[email-masked]>
> -....
> -
> -This line can be added by Git if you run the git-commit command with
> -the -s option.
> -
> -Notice that you can place your own `Signed-off-by` trailer when
> -forwarding somebody else's patch with the above rules for
> -D-C-O.  Indeed you are encouraged to do so.  Do not forget to
> -place an in-body "From: " line at the beginning to properly attribute
> -the change to its true author (see (2) above).
> -
> -This procedure originally came from the Linux kernel project, so our
> -rule is quite similar to theirs, but what exactly it means to sign-off
> -your patch differs from project to project, so it may be different
> -from that of the project you are accustomed to.
> -
> -[[real-name]]
> -Also notice that a real name is used in the `Signed-off-by` trailer. Please
> -don't hide your real name.
> -
> -[[commit-trailers]]
> -If you like, you can put extra tags at the end:
> -
> -. `Reported-by:` is used to credit someone who found the bug that
> -  the patch attempts to fix.
> -. `Acked-by:` says that the person who is more familiar with the area
> -  the patch attempts to modify liked the patch.
> -. `Reviewed-by:`, unlike the other tags, can only be offered by the
> -  reviewer and means that she is completely satisfied that the patch
> -  is ready for application.  It is usually offered only after a
> -  detailed review.
> -. `Tested-by:` is used to indicate that the person applied the patch
> -  and found it to have the desired effect.
> -
> -You can also create your own tag or use one that's in common usage
> -such as "Thanks-to:", "Based-on-patch-by:", or "Mentored-by:".
> -
>  == Subsystems with dedicated maintainers
>  
>  Some parts of the system have dedicated maintainers with their own
> -- 
> 2.32.0.rc3.434.gd8aed1f08a7
> 

-- 
Danh